## org.hibernate.jdbc
Class Expectations

    java.lang.Object
      org.hibernate.jdbc.Expectations

    public class Expectations

extends Object

Holds various often used `Expectations.BasicExpectation` definitions.

Nested Class Summary
`static class` `Expectations.BasicExpectation`
`static class` `Expectations.BasicParamExpectation`

Field Summary
`static Expectation` `BASIC`
`static Expectation` `NONE`
`static Expectation` `PARAM`
`static int` `USUAL_EXPECTED_COUNT`
`static int` `USUAL_PARAM_POSITION`

Method Summary
`static Expectation` `appropriateExpectation(ExecuteUpdateResultCheckStyle style)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USUAL_EXPECTED_COUNT

    public static final int USUAL_EXPECTED_COUNT

See Also:
  Constant Field Values

### USUAL_PARAM_POSITION

    public static final int USUAL_PARAM_POSITION

See Also:
  Constant Field Values

### NONE

    public static final Expectation NONE

### BASIC

    public static final Expectation BASIC

### PARAM

    public static final Expectation PARAM

Method Detail

### appropriateExpectation

    public static Expectation appropriateExpectation(ExecuteUpdateResultCheckStyle style)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.